OpenVDB 11.0.0

Loading...
Searching...
No Matches
ProbeValue< T > Struct Template Reference

Implements Tree::probeLeaf(Coord) More...

`#include <nanovdb/util/GridBuilder.h>`

## Public Types
using | ValueT = typename BuildLeaf<T>::ValueType

## Static Public Member Functions
static bool | get (const BuildRoot< T > &root, ValueT &v)
static bool | get (const BuildTile< T > &tile, ValueT &v)
static bool | get (const BuildUpper< T > &node, uint32_t n, ValueT &v)
static bool | get (const BuildLower< T > &node, uint32_t n, ValueT &v)
static bool | get (const BuildLeaf< T > &leaf, uint32_t n, ValueT &v)

## Detailed Description

template<typename T>
struct nanovdb::build::ProbeValue< T >

Implements Tree::probeLeaf(Coord)

Template Parameters

  T | Build type of the grid being called

## Member Typedef Documentation

## ◆ ValueT

template<typename T>

using ValueT = typename BuildLeaf<T>::ValueType

## Member Function Documentation

## ◆ get() [1/5]

template<typename T>

bool get | ( | const BuildLeaf< T > & | leaf,
|  | uint32_t | n,
|  | ValueT & | v )
| inline static

## ◆ get() [2/5]

template<typename T>

bool get | ( | const BuildLower< T > & | node,
|  | uint32_t | n,
|  | ValueT & | v )
| inline static

## ◆ get() [3/5]

template<typename T>

bool get | ( | const BuildRoot< T > & | root,
|  | ValueT & | v )
| inline static

## ◆ get() [4/5]

template<typename T>

bool get | ( | const BuildTile< T > & | tile,
|  | ValueT & | v )
| inline static

## ◆ get() [5/5]

template<typename T>

bool get | ( | const BuildUpper< T > & | node,
|  | uint32_t | n,
|  | ValueT & | v )
| inline static